UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor alarrucea
Visitor
2,436 Views
Registered: ‎01-18-2011

Zynq can4linux compilation error/problem

Hey,

 

I am using or I want use can4linux for my zynq board. If I read in the xilinx wiki, this can4linux driver it must be compiled for the platform, but I can't do. When I intent to compile the can4linux, it doesn't work due to I don't have the can4linux.ko file.

 

I think that the problem consist of the cross-zynq configuration,exactly in this line DEPMOD=${CROSS_TOOL_PATH} /arm-xilinxa9-linux-gnueabi-depmod-2.6 , my compiler doesn't have arm-xilinxa9-linux-gnueabi-depmod-2..

 

Someone uses can4linux in the zynq board?? How do you do for compile the can driver ??

 

Thanks.

 

Regards.

0 Kudos
1 Reply
Xilinx Employee
Xilinx Employee
2,431 Views
Registered: ‎03-13-2012

Re: Zynq can4linux compilation error/problem

Can you try to use your host's depmod binary? It looks like it might work.

0 Kudos